//此乃本模块与后台交互的方法接口部分

var jwAppContentModel = function(format) {
	this.module = "";
	this.action = "";
	this.format = format;
};

//定义数据交互
jwAppContentModel.prototype = BusinessObject;

//插入发布数据
jwAppContentModel.prototype.insertContent = function(){};
//插入附件数据
jwAppContentModel.prototype.insertFile = function(){};
//修改发布数据
jwAppContentModel.prototype.updateContent = function(){};
//删除发布数据
jwAppContentModel.prototype.deleteContent = function(){};
//发布数据_分页
jwAppContentModel.prototype.list = function(){};
//发布所有数据

jwAppContentModel.prototype.listAll = function(){};
//发布所有数据

jwAppContentModel.prototype.listColumnTree = function(){};
//获取所有附件数据

jwAppContentModel.prototype.listfile = function(){};
//创建一个数据操作对象，然后再后续使用

jwAppContentModel.jwAppsContentActAction = new jwAppContentModel("json").delegate("jwAppsContentAct");
//创建一个数据获取对象，然后再后续使用

jwAppContentModel.jwAppsContentDataAction = new jwAppContentModel("json").delegate("jwAppsContentData");

//说明： 1、所有方法里统一传递josn格式的参数，用于后台交互，如data.listTables(param) ，如没有参数则传'{}'，如data.listTables({})
//      2、前后台数据获取传输协议  如：json[{'0':{pageCount':'2','pageNo':'1','pageSize':'20','rowSet':'[{0},{1}....]'}}] 
//      3、前后台增删改的返回状态  如：json[{'0':{'rowSet':{'NAME':'-1','VALUE':'保存失败'}}}]
